Package be.fgov.ehealth.ehbox.core.v3

# Class MessageInfoType

java.lang.Object
be.fgov.ehealth.ehbox.core.v3.MessageInfoType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class MessageInfoType extends Object implements Serializable
Short message details

Java class for MessageInfoType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MessageInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PublicationDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="ExpirationDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="Size" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageInfoType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getExpirationDate()`
  Gets the value of the expirationDate property.
  `Instant`
  `getPublicationDate()`
  Gets the value of the publicationDate property.
  `String`
  `getSize()`
  Gets the value of the size property.
  `void`
  `setExpirationDate(Instant value)`
  Sets the value of the expirationDate property.
  `void`
  `setPublicationDate(Instant value)`
  Sets the value of the publicationDate property.
  `void`
  `setSize(String value)`
  Sets the value of the size property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessageInfoType

    public MessageInfoType()

- ## Method Details

  - ### getPublicationDate

    public Instant getPublicationDate()
    Gets the value of the publicationDate property.
    Returns:
      possible object is `String`

  - ### setPublicationDate

    public void setPublicationDate(Instant value)
    Sets the value of the publicationDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getExpirationDate

    public Instant getExpirationDate()
    Gets the value of the expirationDate property.
    Returns:
      possible object is `String`

  - ### setExpirationDate

    public void setExpirationDate(Instant value)
    Sets the value of the expirationDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSize

    public String getSize()
    Gets the value of the size property.
    Returns:
      possible object is `String`

  - ### setSize

    public void setSize(String value)
    Sets the value of the size property.
    Parameters:
      `value` - allowed object is `String`